NNGREP(1)

NAME
nngrep - grep for news group names (nn)

SYNOPSIS
nngrep [ -ainprsu ] [ -l ] [ pattern ]

DESCRIPTION
nngrep can print various selections of the available news groups.

Without options, nngrep will list all currently subscribed newsgroups whose name matches any of the specified patterns. If no pattern is specified, all subscribed groups will be listed.

The selection of news groups against which the patterns are matches, and subsequently printed by nngrep can be limited or expanded using the following command line options and arguments:

-a  Use both subscribed and unsubscribed groups. Overrides the -u option.

-i  Use only ignored groups, i.e. which are not in the presentation sequence.

-n  Use only new groups. Notice that nn considers a group to be new until you have read at least one article in the group, or you have unsubscribed to the group. This means that even reasonable active news groups may remain "new" for quite some time if it only contains articles which are cross-posted to other groups which occur earlier in your presentation sequence.

-p  Use only groups with unread (pending) articles.

-r  Use only read groups, i.e. without unread articles.

-s  Use only groups which are in the presentation sequence.

-u  Use only unsubscribed groups.

These options can be combined if they don't logically exclude each other.

For example, to get the names of all "source" groups, you can use the command
    nngrep source

You can use this to read a specific subset of news groups with nn; for example
    nn `nngrep -sp source`

LONG LISTING
A long listing of the matched groups can be requested with the -l option. It will include the following information:

SUBSCR    Specifies whether the group is subscribed or not (yes/no).
NEW    Specifies whether the group is new or not (yes/no).
UNREAD    Shows the number of unread articles in the group (if any).
SEQUENCE    Shows the group's index in the presentation sequence.
GROUP    The name of the group.

FILES
~/.newsrc    The record of read articles
~/.nn/init    The presentation sequence

SEE ALSO
nn(1), nncheck(1), nngoback(1), nngrab(1), nnpost(1), nntidy(1)
nnadmin(1M), nnusage(1M), nnmaster(8)

AUTHOR
Kim F. Storm, Texas Instruments A/S, Denmark
E-mail: storm@texas.dk